Page MenuHomePhabricator

Enable CommentPages extension on English Wikinews
Closed, InvalidPublic

Description

Author: zach+bugs

Description:
Hello,

I wrote a hook for SkinTemplateTabs that would add the comment tab, which is currently done using javascript. This would also use the new Comments namespace we had setup in bug 11471.

What the hook does is:

  • On pages in the Comments namespace, it removes the tab for the Comments_talk page, and adds tabs for the Talk and Main namespace
  • On pages in the Talk and Main namespace, it adds a tab for the Comments page.

The advantage to this is that it would also appear for visitors who cannot or do not use javascript. It would require some CSS changes to work with the monobook skin, which is filed separately as bug 11571. The changes would group the comments tab with the main and talk tabs instead of the edit/history/etc tabs.

More of the technical information is at http://www.mediawiki.org/wiki/User:Zachary/CommentPages, including source and setup.


Version: unspecified
Severity: enhancement
URL: http://en.wikinews.org/wiki/Wikinews:Water_cooler/technical#Comment_tab_extension

Details

Reference
bz11586

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 9:55 PM
bzimport set Reference to bz11586.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Oct 7 2007, 3:12 AM

paul wrote:

This has reached community consensus at http://en.wikinews.org/wiki/Wikinews:Water_cooler/technical#Comment_tab_extension

The Comments: namespace is quite a well-used item in Wikinews. This extension will obviously do the job better than the JS hack we use right now.

zach+bugs wrote:

This extension is now on the MediaWiki SVN: http://svn.wikimedia.org/viewvc/mediawiki/trunk/extensions/CommentPages/

It just needs to be enabled on the English Wikinews.

fearow00 wrote:

What's the main holdup on this? Can we get this enabled sometime soon? (need-review is because I was told the code still needs reviewing by someone)

mike.lifeguard+bugs wrote:

(In reply to comment #3)

What's the main holdup on this? Can we get this enabled sometime soon?
(need-review is because I was told the code still needs reviewing by someone)

Yep, and until it is reviewed, there's nothing to do on shell, so I've removed that keyword.

brion added a comment.Mar 19 2009, 6:14 PM

Assigning to myself for review.

btw, removing need-review keyword for now since this extension is not compatible with trunk. (or at least, it didn't work when i tested it).

+need-review so this shows in the relevant lists, doesn't really matter its brokeness

Chad and/or Reedy: can we get this extension (CommentPages) moved into Git, please?

demon added a comment.Jul 17 2012, 8:43 PM

Please add it to the list: https://www.mediawiki.org/wiki/Git/Conversion/Extensions_queue

I will be processing all outstanding migration requests this week.

(In reply to comment #8)

Chad and/or Reedy: can we get this extension (CommentPages) moved into Git,
please?

Done in the meanwhile, now needs review.

(In reply to comment #10)

(In reply to comment #8)

Chad and/or Reedy: can we get this extension (CommentPages) moved into Git,
please?

Done in the meanwhile, now needs review.

Fixing the extension so it actually works would probably be a step that should be done prior to review (or you know, the review won't last very long).

sumanah wrote:

I'm closing this bug this "invalid" because it looks pretty clear that the extension author will not be revising the extension to make it deployable. It is in Git in case Zachary or someone else would like to improve it:

https://gerrit.wikimedia.org/r/gitweb?p=mediawiki/extensions/CommentPages.git;a=summary

I'm very sorry for the original delay in response, Zachary. If you'd like to work on improving communications mechanisms within Wikimedia projects I would like to bring your attention to a few new projects that could use your help:

https://www.mediawiki.org/wiki/Flow

https://www.mediawiki.org/wiki/Echo_%28Notifications%29

Thanks for your work on this and your contributions to Wikimedia projects. Again, my apologies on the delay in review.

(In reply to comment #12)

I'm closing this bug this "invalid" because it looks pretty clear that the
extension author will not be revising the extension to make it deployable. It
is in Git in case Zachary or someone else would like to improve it:

The underlying issue here isn't resolved, but rather than re-open this bug, I forked it to bug 42214: "Opinions" tab on the English Wikinews currently uses a JavaScript implementation when it shouldn't.

(I guess cloning a Bugzilla bug doesn't leave a Bugzilla comment. A bit strange, in my opinion.)

(In reply to comment #13)

The underlying issue here isn't resolved, but rather than re-open this bug, I
forked it to bug 42214: "Opinions" tab on the English Wikinews currently uses a
JavaScript implementation when it shouldn't.

This is a dupe of bug 13228 ("Adding custom inter-namespace tabs").